> For the complete documentation index, see [llms.txt](https://docs.itgrix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.itgrix.com/for-admins/no-internal-in-the-cid_num-column.md).

# In the CEL table, there is no internal employee number in the cid\_num column

**Observable issues:**

* No call card windows when making calls
* Wrong responsible user in activities

How to diagnose the issue:

1. Find a call that didn't display the call card window in the application log file (e.g. incoming from 89123456 to 123). Use call ID to find all log entries related to this call.
2. Find an event message "Conversation requested" - that's the moment when the call card should be displayed.

Example message:

```json
{
    "0_ts": "2024-07-09 10:37:05.099 +05:00",
    "1_level": "info",
    "2_call_id": "1517576391.958",
    "3_call_stage": "Conversation requested",
    "4_command": "Start",
    "5_msg": {
        "active_conversation_id": "1517576399.959",
        "channel": {
            "answer_time": "0001-01-01 00:00:00",
            "bridged_with": "",
            "end_time": "0001-01-01 00:00:00",
            "extra": {},
            "from": {
                "is_local": false,
                "original": "89123456"
            },
            "id": "1517576391.958",
            "is_primary": true,
            "name": "SIP/MTS_83432723033_INCOMING-000003bc",
            "start_time": "2018-02-02 17:59:51",
            "state": "ringing",
            "to": {
                "original": "3432723033" // should be internal number 123, but it's trunk instead
            },
            "trunk": {
                "original": "3432723033"
            },
            "type": "incoming",
            "was_answered": false
        },
        ...
```

3\. Here the trunk number is listed instead of the internal number ("to").

**How to fix it:**

1. In the /etc/asterisk/sip.conf file (can be sip\_additional.conf, sip\_custom.conf, or user.conf for Elastix), add a line in a block for \[123]:\
   `cid_number=123`\
   Do that for all numbers with similar issues.
2. Otherwise, you can add:`callerid=Name <123>`\
   Name – is the employee name to be displayed on the phone.\
   Re-read the Asterisk configs: `asterisk -rx “sip reload”.`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.itgrix.com/for-admins/no-internal-in-the-cid_num-column.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
